Package org.apache.sling.jcr.base.internal.mount

## Class ProxyQueryObjectModelFactory

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<javax.jcr.query.qom.QueryObjectModelFactory>
  - - org.apache.sling.jcr.base.internal.mount.ProxyQueryObjectModelFactory

All Implemented Interfaces:
  `javax.jcr.query.qom.QueryObjectModelConstants`, `javax.jcr.query.qom.QueryObjectModelFactory`

    public class ProxyQueryObjectModelFactory
    extends ProxyWrapper<javax.jcr.query.qom.QueryObjectModelFactory>
    implements javax.jcr.query.qom.QueryObjectModelFactory

### Field Summary

### Fields inherited from interface javax.jcr.query.qom.QueryObjectModelConstants

`JCR_JOIN_TYPE_INNER, JCR_JOIN_TYPE_LEFT_OUTER, JCR_JOIN_TYPE_RIGHT_OUTER, JCR_OPERATOR_EQUAL_TO, JCR_OPERATOR_GREATER_THAN, JCR_OPERATOR_GREATER_THAN_OR_EQUAL_TO, JCR_OPERATOR_LESS_THAN, JCR_OPERATOR_LESS_THAN_OR_EQUAL_TO, JCR_OPERATOR_LIKE, JCR_OPERATOR_NOT_EQUAL_TO, JCR_ORDER_ASCENDING, JCR_ORDER_DESCENDING`

### Constructor Summary

Constructors
`ProxyQueryObjectModelFactory​(ProxySession<?> mountSession, javax.jcr.query.qom.QueryObjectModelFactory delegate, javax.jcr.query.qom.QueryObjectModelFactory delegate2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.query.qom.And` `and​(javax.jcr.query.qom.Constraint constraint1, javax.jcr.query.qom.Constraint constraint2)`
`javax.jcr.query.qom.Ordering` `ascending​(javax.jcr.query.qom.DynamicOperand operand)`
`javax.jcr.query.qom.BindVariableValue` `bindVariable​(String bindVariableName)`
`javax.jcr.query.qom.ChildNode` `childNode​(String selectorName, String path)`
`javax.jcr.query.qom.ChildNodeJoinCondition` `childNodeJoinCondition​(String childSelectorName, String parentSelectorName)`
`javax.jcr.query.qom.Column` `column​(String selectorName, String propertyName, String columnName)`
`javax.jcr.query.qom.Comparison` `comparison​(javax.jcr.query.qom.DynamicOperand operand1, String operator, javax.jcr.query.qom.StaticOperand operand2)`
`javax.jcr.query.qom.QueryObjectModel` `createQuery​(javax.jcr.query.qom.Source source, javax.jcr.query.qom.Constraint constraint, javax.jcr.query.qom.Ordering[] orderings, javax.jcr.query.qom.Column[] columns)`
`javax.jcr.query.qom.DescendantNode` `descendantNode​(String selectorName, String path)`
`javax.jcr.query.qom.DescendantNodeJoinCondition` `descendantNodeJoinCondition​(String descendantSelectorName, String ancestorSelectorName)`
`javax.jcr.query.qom.Ordering` `descending​(javax.jcr.query.qom.DynamicOperand operand)`
`javax.jcr.query.qom.EquiJoinCondition` `equiJoinCondition​(String selector1Name, String property1Name, String selector2Name, String property2Name)`
`javax.jcr.query.qom.FullTextSearch` `fullTextSearch​(String selectorName, String propertyName, javax.jcr.query.qom.StaticOperand fullTextSearchExpression)`
`javax.jcr.query.qom.FullTextSearchScore` `fullTextSearchScore​(String selectorName)`
`javax.jcr.query.qom.Join` `join​(javax.jcr.query.qom.Source left, javax.jcr.query.qom.Source right, String joinType, javax.jcr.query.qom.JoinCondition joinCondition)`
`javax.jcr.query.qom.Length` `length​(javax.jcr.query.qom.PropertyValue propertyValue)`
`javax.jcr.query.qom.Literal` `literal​(javax.jcr.Value literalValue)`
`javax.jcr.query.qom.LowerCase` `lowerCase​(javax.jcr.query.qom.DynamicOperand operand)`
`javax.jcr.query.qom.NodeLocalName` `nodeLocalName​(String selectorName)`
`javax.jcr.query.qom.NodeName` `nodeName​(String selectorName)`
`javax.jcr.query.qom.Not` `not​(javax.jcr.query.qom.Constraint constraint)`
`javax.jcr.query.qom.Or` `or​(javax.jcr.query.qom.Constraint constraint1, javax.jcr.query.qom.Constraint constraint2)`
`javax.jcr.query.qom.PropertyExistence` `propertyExistence​(String selectorName, String propertyName)`
`javax.jcr.query.qom.PropertyValue` `propertyValue​(String selectorName, String propertyName)`
`javax.jcr.query.qom.SameNode` `sameNode​(String selectorName, String path)`
`javax.jcr.query.qom.SameNodeJoinCondition` `sameNodeJoinCondition​(String selector1Name, String selector2Name, String selector2Path)`
`javax.jcr.query.qom.Selector` `selector​(String nodeTypeName, String selectorName)`
`javax.jcr.query.qom.UpperCase` `upperCase​(javax.jcr.query.qom.DynamicOperand operand)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyQueryObjectModelFactory

    public ProxyQueryObjectModelFactory​(ProxySession<?> mountSession,
                                        javax.jcr.query.qom.QueryObjectModelFactory delegate,
                                        javax.jcr.query.qom.QueryObjectModelFactory delegate2)

### Method Detail

#### createQuery

    public javax.jcr.query.qom.QueryObjectModel createQuery​(javax.jcr.query.qom.Source source,
                                                            javax.jcr.query.qom.Constraint constraint,
                                                            javax.jcr.query.qom.Ordering[] orderings,
                                                            javax.jcr.query.qom.Column[] columns)
                                                     throws javax.jcr.query.InvalidQueryException,
                                                            javax.jcr.RepositoryException

Specified by:
  `createQuery` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### selector

    public javax.jcr.query.qom.Selector selector​(String nodeTypeName,
                                                 String selectorName)
                                          throws javax.jcr.query.InvalidQueryException,
                                                 javax.jcr.RepositoryException

Specified by:
  `selector` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### join

    public javax.jcr.query.qom.Join join​(javax.jcr.query.qom.Source left,
                                         javax.jcr.query.qom.Source right,
                                         String joinType,
                                         javax.jcr.query.qom.JoinCondition joinCondition)
                                  throws javax.jcr.query.InvalidQueryException,
                                         javax.jcr.RepositoryException

Specified by:
  `join` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### equiJoinCondition

    public javax.jcr.query.qom.EquiJoinCondition equiJoinCondition​(String selector1Name,
                                                                   String property1Name,
                                                                   String selector2Name,
                                                                   String property2Name)
                                                            throws javax.jcr.query.InvalidQueryException,
                                                                   javax.jcr.RepositoryException

Specified by:
  `equiJoinCondition` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### sameNodeJoinCondition

    public javax.jcr.query.qom.SameNodeJoinCondition sameNodeJoinCondition​(String selector1Name,
                                                                           String selector2Name,
                                                                           String selector2Path)
                                                                    throws javax.jcr.query.InvalidQueryException,
                                                                           javax.jcr.RepositoryException

Specified by:
  `sameNodeJoinCondition` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### childNodeJoinCondition

    public javax.jcr.query.qom.ChildNodeJoinCondition childNodeJoinCondition​(String childSelectorName,
                                                                             String parentSelectorName)
                                                                      throws javax.jcr.query.InvalidQueryException,
                                                                             javax.jcr.RepositoryException

Specified by:
  `childNodeJoinCondition` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### descendantNodeJoinCondition

    public javax.jcr.query.qom.DescendantNodeJoinCondition descendantNodeJoinCondition​(String descendantSelectorName,
                                                                                       String ancestorSelectorName)
                                                                                throws javax.jcr.query.InvalidQueryException,
                                                                                       javax.jcr.RepositoryException

Specified by:
  `descendantNodeJoinCondition` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### and

    public javax.jcr.query.qom.And and​(javax.jcr.query.qom.Constraint constraint1,
                                       javax.jcr.query.qom.Constraint constraint2)
                                throws javax.jcr.query.InvalidQueryException,
                                       javax.jcr.RepositoryException

Specified by:
  `and` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### or

    public javax.jcr.query.qom.Or or​(javax.jcr.query.qom.Constraint constraint1,
                                     javax.jcr.query.qom.Constraint constraint2)
                              throws javax.jcr.query.InvalidQueryException,
                                     javax.jcr.RepositoryException

Specified by:
  `or` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### not

    public javax.jcr.query.qom.Not not​(javax.jcr.query.qom.Constraint constraint)
                                throws javax.jcr.query.InvalidQueryException,
                                       javax.jcr.RepositoryException

Specified by:
  `not` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### comparison

    public javax.jcr.query.qom.Comparison comparison​(javax.jcr.query.qom.DynamicOperand operand1,
                                                     String operator,
                                                     javax.jcr.query.qom.StaticOperand operand2)
                                              throws javax.jcr.query.InvalidQueryException,
                                                     javax.jcr.RepositoryException

Specified by:
  `comparison` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### propertyExistence

    public javax.jcr.query.qom.PropertyExistence propertyExistence​(String selectorName,
                                                                   String propertyName)
                                                            throws javax.jcr.query.InvalidQueryException,
                                                                   javax.jcr.RepositoryException

Specified by:
  `propertyExistence` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### fullTextSearch

    public javax.jcr.query.qom.FullTextSearch fullTextSearch​(String selectorName,
                                                             String propertyName,
                                                             javax.jcr.query.qom.StaticOperand fullTextSearchExpression)
                                                      throws javax.jcr.query.InvalidQueryException,
                                                             javax.jcr.RepositoryException

Specified by:
  `fullTextSearch` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### sameNode

    public javax.jcr.query.qom.SameNode sameNode​(String selectorName,
                                                 String path)
                                          throws javax.jcr.query.InvalidQueryException,
                                                 javax.jcr.RepositoryException

Specified by:
  `sameNode` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### childNode

    public javax.jcr.query.qom.ChildNode childNode​(String selectorName,
                                                   String path)
                                            throws javax.jcr.query.InvalidQueryException,
                                                   javax.jcr.RepositoryException

Specified by:
  `childNode` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### descendantNode

    public javax.jcr.query.qom.DescendantNode descendantNode​(String selectorName,
                                                             String path)
                                                      throws javax.jcr.query.InvalidQueryException,
                                                             javax.jcr.RepositoryException

Specified by:
  `descendantNode` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### propertyValue

    public javax.jcr.query.qom.PropertyValue propertyValue​(String selectorName,
                                                           String propertyName)
                                                    throws javax.jcr.query.InvalidQueryException,
                                                           javax.jcr.RepositoryException

Specified by:
  `propertyValue` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### length

    public javax.jcr.query.qom.Length length​(javax.jcr.query.qom.PropertyValue propertyValue)
                                      throws javax.jcr.query.InvalidQueryException,
                                             javax.jcr.RepositoryException

Specified by:
  `length` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### nodeName

    public javax.jcr.query.qom.NodeName nodeName​(String selectorName)
                                          throws javax.jcr.query.InvalidQueryException,
                                                 javax.jcr.RepositoryException

Specified by:
  `nodeName` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### nodeLocalName

    public javax.jcr.query.qom.NodeLocalName nodeLocalName​(String selectorName)
                                                    throws javax.jcr.query.InvalidQueryException,
                                                           javax.jcr.RepositoryException

Specified by:
  `nodeLocalName` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### fullTextSearchScore

    public javax.jcr.query.qom.FullTextSearchScore fullTextSearchScore​(String selectorName)
                                                                throws javax.jcr.query.InvalidQueryException,
                                                                       javax.jcr.RepositoryException

Specified by:
  `fullTextSearchScore` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### lowerCase

    public javax.jcr.query.qom.LowerCase lowerCase​(javax.jcr.query.qom.DynamicOperand operand)
                                            throws javax.jcr.query.InvalidQueryException,
                                                   javax.jcr.RepositoryException

Specified by:
  `lowerCase` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### upperCase

    public javax.jcr.query.qom.UpperCase upperCase​(javax.jcr.query.qom.DynamicOperand operand)
                                            throws javax.jcr.query.InvalidQueryException,
                                                   javax.jcr.RepositoryException

Specified by:
  `upperCase` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### bindVariable

    public javax.jcr.query.qom.BindVariableValue bindVariable​(String bindVariableName)
                                                       throws javax.jcr.query.InvalidQueryException,
                                                              javax.jcr.RepositoryException

Specified by:
  `bindVariable` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### literal

    public javax.jcr.query.qom.Literal literal​(javax.jcr.Value literalValue)
                                        throws javax.jcr.query.InvalidQueryException,
                                               javax.jcr.RepositoryException

Specified by:
  `literal` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### ascending

    public javax.jcr.query.qom.Ordering ascending​(javax.jcr.query.qom.DynamicOperand operand)
                                           throws javax.jcr.query.InvalidQueryException,
                                                  javax.jcr.RepositoryException

Specified by:
  `ascending` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### descending

    public javax.jcr.query.qom.Ordering descending​(javax.jcr.query.qom.DynamicOperand operand)
                                            throws javax.jcr.query.InvalidQueryException,
                                                   javax.jcr.RepositoryException

Specified by:
  `descending` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### column

    public javax.jcr.query.qom.Column column​(String selectorName,
                                             String propertyName,
                                             String columnName)
                                      throws javax.jcr.query.InvalidQueryException,
                                             javax.jcr.RepositoryException

Specified by:
  `column` in interface `javax.jcr.query.qom.QueryObjectModelFactory`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`